﻿@inherits ProjectEditFormViewModel

<EditForm Model="@Project" OnValidSubmit="@SaveProjectExecute">
  <DataAnnotationsValidator />
  <ValidationSummary />
  <div class="form-group w-100 row no-margin no-padding">
    <label>Обозначение:</label>
    <input type="text"
           class="form-control"
           placeholder="Введите обозначение"
           bind="@Project.Sign" />
  </div>
  <div class="form-group w-100 row no-margin no-padding">
    <label>Название:</label>
    <input type="text"
           class="form-control"
           placeholder="Введите название"
           bind="@Project.Name" />
  </div>
  <div class="form-group row">
    <div class="col-12">
      @if (IsNew)
      {
        <button class="btn btn-block btn-primary">
          Создать
        </button>
      }
      else
      {
        <button class="btn btn-block btn-primary">
          Сохранить
        </button>
      }
    </div>
  </div>
</EditForm>
